Subject: Re: [PATCH] Packet socket: mmapped IO: PACKET_TX_RING

From: Evgeniy Polyakov <[email-masked]>
Date: Tue, 18 Nov 2008 22:10:04 +0300

On Tue, Nov 18, 2008 at 07:49:00PM +0100, Johann Baudy ([email-masked]) wrote:
> Currently, we are executing sock_alloc_send_skb() to allocate a new
> skb from socket.
> Then, we replace destructor sock_wfree() with our destructor
> packet_skb_destruct() which executes sock_wfree() once status of
> packet frame (associated to skb data) has been given back to user
> (status changed).
> 
> Is this way ok ?
> Or shall we implement our own sock_alloc_send_skb()?

If it meets your needs it is of course ok, but it has additional memory
management checks and other socket management bits. If it does not
matter, than everything is ok.

-- 
	Evgeniy Polyakov